package com.jsowell.pile.service.impl;

import com.jsowell.pile.domain.MemberWalletInfo;
import com.jsowell.pile.mapper.MemberWalletInfoMapper;
import com.jsowell.pile.service.IMemberWalletInfoService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class MemberWalletInfoServiceImpl implements IMemberWalletInfoService {

    @Resource
    private MemberWalletInfoMapper memberWalletInfoMapper;

    @Override
    public int deleteByPrimaryKey(Integer id) {
        return memberWalletInfoMapper.deleteByPrimaryKey(id);
    }

    @Override
    public int insert(MemberWalletInfo record) {
        return memberWalletInfoMapper.insert(record);
    }

    @Override
    public int insertSelective(MemberWalletInfo record) {
        return memberWalletInfoMapper.insertSelective(record);
    }

    @Override
    public MemberWalletInfo selectByPrimaryKey(Integer id) {
        return memberWalletInfoMapper.selectByPrimaryKey(id);
    }

    @Override
    public int updateByPrimaryKeySelective(MemberWalletInfo record) {
        return memberWalletInfoMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public int updateByPrimaryKey(MemberWalletInfo record) {
        return memberWalletInfoMapper.updateByPrimaryKey(record);
    }

}
